Package org.apache.lucene.index

# Interface MergeState.DocMap

Enclosing class:
  `MergeState`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface MergeState.DocMap
A map of doc IDs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `get(int docID)`
  Return the mapped docID or -1 if the given doc is not mapped.

- ## Method Details

  - ### get

    int get(int docID)
    Return the mapped docID or -1 if the given doc is not mapped.